#include<iostream.h>
 int main()
{
 long fac(int n);/*函数声明*/
 int n;
 long s;
 cin>>n;
 s=fac(n);/*函数调用*/
 cout<<"s="<<s<<endl;
 return(0);
} 
 long fac(int n)/*函数定义*/
{
 long s;
 int i;
 for(i=1,s=1;i<=n;i++)
  s*=i;
 return(s);/*函数返回值*/
}
